Reecall
Reecall API

conversational_channel


List all

GET
https://newprd.reecall.io/data_next
/conversational/channels/

List all › query Parameters

where
​string

JSON-encoded filter object

limit
​integer · min: 1

Max number of records to return

page
​integer · min: 1

Page number (1-based)

orderBy
​string

JSON-encoded sort definition

select
​string

Optional list of fields to select

search
​string · maxLength: 200

PostgreSQL regex pattern (~*) to search in configured fields

List all › Responses

Successful operation

name
​string · required
type
​string · enum · required
Enum values:
SIP
WEBRTC
Example: SIP
assistantId
​string · required
id
​string
description
​string
​object
inboundNumbersWhitelist
​string[]
inboundAddressesWhitelist
​string[]
krispEnabled
​boolean
includeSipHeaders
​string · enum
Enum values:
SIP_NO_HEADERS
SIP_X_HEADERS
SIP_ALL_HEADERS
Example: SIP_ALL_HEADERS
projectId
​string
​object
organizationId
​string
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Create one

POST
https://newprd.reecall.io/data_next
/conversational/channels/

Create one › Request Body

name
​string · required
type
​string · enum · required
Enum values:
SIP
WEBRTC
Example: SIP
assistantId
​string · required
description
​string
inboundNumbersWhitelist
​string[]
inboundAddressesWhitelist
​string[]
krispEnabled
​boolean
includeSipHeaders
​string · enum
Enum values:
SIP_NO_HEADERS
SIP_X_HEADERS
SIP_ALL_HEADERS
Example: SIP_ALL_HEADERS
projectId
​string
organizationId
​string
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Create one › Responses

Successful operation

name
​string · required
type
​string · enum · required
Enum values:
SIP
WEBRTC
Example: SIP
assistantId
​string · required
id
​string
description
​string
​object
inboundNumbersWhitelist
​string[]
inboundAddressesWhitelist
​string[]
krispEnabled
​boolean
includeSipHeaders
​string · enum
Enum values:
SIP_NO_HEADERS
SIP_X_HEADERS
SIP_ALL_HEADERS
Example: SIP_ALL_HEADERS
projectId
​string
​object
organizationId
​string
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Count all

GET
https://newprd.reecall.io/data_next
/conversational/channels/count

Count all › Responses

Successful operation

name
​string · required
type
​string · enum · required
Enum values:
SIP
WEBRTC
Example: SIP
assistantId
​string · required
id
​string
description
​string
​object
inboundNumbersWhitelist
​string[]
inboundAddressesWhitelist
​string[]
krispEnabled
​boolean
includeSipHeaders
​string · enum
Enum values:
SIP_NO_HEADERS
SIP_X_HEADERS
SIP_ALL_HEADERS
Example: SIP_ALL_HEADERS
projectId
​string
​object
organizationId
​string
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Get all unique values for a given column

GET
https://newprd.reecall.io/data_next
/conversational/channels/uniqueValuesFor/{field}

Get all unique values for a given column › path Parameters

field
​string · required

Get all unique values for a given column › Responses

Successful operation


Retrieve one

GET
https://newprd.reecall.io/data_next
/conversational/channels/{id}

Retrieve one › path Parameters

id
​string · required

Retrieve one › query Parameters

select
​string

Optional list of fields to select

Retrieve one › Responses

Successful operation

name
​string · required
type
​string · enum · required
Enum values:
SIP
WEBRTC
Example: SIP
assistantId
​string · required
id
​string
description
​string
​object
inboundNumbersWhitelist
​string[]
inboundAddressesWhitelist
​string[]
krispEnabled
​boolean
includeSipHeaders
​string · enum
Enum values:
SIP_NO_HEADERS
SIP_X_HEADERS
SIP_ALL_HEADERS
Example: SIP_ALL_HEADERS
projectId
​string
​object
organizationId
​string
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Delete one

DELETE
https://newprd.reecall.io/data_next
/conversational/channels/{id}

Delete one › path Parameters

id
​string · required

Delete one › Responses

Successful operation

name
​string · required
type
​string · enum · required
Enum values:
SIP
WEBRTC
Example: SIP
assistantId
​string · required
id
​string
description
​string
​object
inboundNumbersWhitelist
​string[]
inboundAddressesWhitelist
​string[]
krispEnabled
​boolean
includeSipHeaders
​string · enum
Enum values:
SIP_NO_HEADERS
SIP_X_HEADERS
SIP_ALL_HEADERS
Example: SIP_ALL_HEADERS
projectId
​string
​object
organizationId
​string
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Update one

PATCH
https://newprd.reecall.io/data_next
/conversational/channels/{id}

Update one › path Parameters

id
​string · required

Update one › Request Body

name
​string · required
type
​string · enum · required
Enum values:
SIP
WEBRTC
Example: SIP
assistantId
​string · required
description
​string
inboundNumbersWhitelist
​string[]
inboundAddressesWhitelist
​string[]
krispEnabled
​boolean
includeSipHeaders
​string · enum
Enum values:
SIP_NO_HEADERS
SIP_X_HEADERS
SIP_ALL_HEADERS
Example: SIP_ALL_HEADERS
projectId
​string
organizationId
​string
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time

Update one › Responses

Successful operation

name
​string · required
type
​string · enum · required
Enum values:
SIP
WEBRTC
Example: SIP
assistantId
​string · required
id
​string
description
​string
​object
inboundNumbersWhitelist
​string[]
inboundAddressesWhitelist
​string[]
krispEnabled
​boolean
includeSipHeaders
​string · enum
Enum values:
SIP_NO_HEADERS
SIP_X_HEADERS
SIP_ALL_HEADERS
Example: SIP_ALL_HEADERS
projectId
​string
​object
organizationId
​string
​object
blueprintId
​string
blueprintRunId
​string
createdAt
​string · date-time
updatedAt
​string · date-time